## P4 Bugzilla Bridge

The P4 Bugzilla Bridge integrates P4 and Bugzilla without involving P4 Jobs. It runs as a daemon monitoring
Perforce for any checkin that contains a reference to a bug. When it detects such a reference it posts the
checkin comment as a comment to the relevant bug and optionally marks the bug as resolved.

The p4 Bugzilla Bridge will only respond to checkin comments that have a specific format, those that match either
of these regular expressions:

    [Bb]ugs?:?\\s*?((\\d+)[\\s,]*)+
    [Bb]ugfix:?\\s*?((\\d+)[\\s,]*)+

For example: bug:1234 or Bugs: 1,2,3 4, 5 or Bugfix: 1121

When the Bugfix keyword is used the bug is also marked as resolved.

The code can be found at //guest/warwick_hunter/p4bugzilla on the Perforce public depot server. The code uses
the latest version of the P4 Java API

### Communications with Bugzilla
The code uses the latest Bugzilla REST API. It will communicate with Bugzilla version 5 systems.

* <https://wiki.mozilla.org/Bugzilla:REST_API>

Warwick Hunter 2016-11-29
